summaryrefslogtreecommitdiff
path: root/t/stdinc-no-repeated.sh
diff options
context:
space:
mode:
Diffstat (limited to 't/stdinc-no-repeated.sh')
-rw-r--r--t/stdinc-no-repeated.sh50
1 files changed, 50 insertions, 0 deletions
diff --git a/t/stdinc-no-repeated.sh b/t/stdinc-no-repeated.sh
new file mode 100644
index 000000000..b1ff7fd6c
--- /dev/null
+++ b/t/stdinc-no-repeated.sh
@@ -0,0 +1,50 @@
+#! /bin/sh
+# Copyright (C) 2009-2014 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+# Check that automake rules do not use repeated "-I $(srcdir)" in the
+# compiler invocation.
+
+required=cc
+. test-init.sh
+
+cat >> configure.ac << 'END'
+AC_PROG_CC
+AC_OUTPUT
+END
+
+echo 'bin_PROGRAMS = foo' > Makefile.am
+echo 'int main (void) { return 0; }' > foo.c
+
+$ACLOCAL
+$AUTOCONF
+$AUTOMAKE --add-missing
+
+# Test with $builddir != $srcdir
+mkdir build
+cd build
+../configure
+run_make -O V=1
+grep '.*-I *\. .*-I *\.\. ' stdout
+grep '.*-I *\. .*-I *\. ' stdout && exit 1
+cd ..
+
+# Test with $builddir = $srcdir
+./configure
+run_make -O V=1
+grep '.*-I *\. ' stdout
+grep '.*-I *\..*-I *\.' stdout && exit 1
+
+: